directories
  '*.png' = '.\visualizacia', '.\source img\casti\final', '.\source img\tlacitka';
end_directories;

settings
  operation_mode = real_time;
  startup_options
    call_procedures = false;
    activate_receivers = true;
    output_action = set_local;
  end_startup_options;
end_settings;

driver
  OPC {driver = 'vsource.dll'; map_file = 'smc-map-205.dmf'; parameter_file = 'smc-map-205.par'};
end_driver;

data

  channel
    m : boolean {driver = OPC; driver_index = 40; direction = bidirectional};
    p : boolean {driver = OPC; driver_index = 42; direction = bidirectional};
    a0 : boolean {driver = OPC; driver_index = 1; direction = bidirectional};
    a1 : boolean {driver = OPC; driver_index = 2; direction = bidirectional};
    a_m : boolean {driver = OPC; driver_index = 3; direction = bidirectional};
    b1 : boolean {driver = OPC; driver_index = 5; direction = bidirectional};
    c1 : boolean {driver = OPC; driver_index = 7; direction = bidirectional};
    c_i : boolean {driver = OPC; driver_index = 8; direction = bidirectional};
    dp1 : boolean {driver = OPC; driver_index = 11; direction = bidirectional};
    dp2 : boolean {driver = OPC; driver_index = 12; direction = bidirectional};
    dp3 : boolean {driver = OPC; driver_index = 13; direction = bidirectional};
    dp4 : boolean {driver = OPC; driver_index = 14; direction = bidirectional};
    e0 : boolean {driver = OPC; driver_index = 15; direction = bidirectional};
    e1 : boolean {driver = OPC; driver_index = 16; direction = bidirectional};
    e2 : boolean {driver = OPC; driver_index = 17; direction = bidirectional};
    g0 : boolean {driver = OPC; driver_index = 22; direction = bidirectional};
    g1 : boolean {driver = OPC; driver_index = 23; direction = bidirectional};
    h0 : boolean {driver = OPC; driver_index = 25; direction = bidirectional};
    h1 : boolean {driver = OPC; driver_index = 26; direction = bidirectional};
    i0 : boolean {driver = OPC; driver_index = 28; direction = bidirectional};
    i1 : boolean {driver = OPC; driver_index = 29; direction = bidirectional};
    isRunning : boolean {driver = OPC; driver_index = 31; direction = bidirectional};
    j0 : boolean {driver = OPC; driver_index = 32; direction = bidirectional};
    j1 : boolean {driver = OPC; driver_index = 33; direction = bidirectional};
    k0 : boolean {driver = OPC; driver_index = 36; direction = bidirectional};
    k1 : boolean {driver = OPC; driver_index = 37; direction = bidirectional};
    run : boolean {driver = OPC; driver_index = 43; direction = bidirectional};
    v : boolean {driver = OPC; driver_index = 44; direction = bidirectional};
  end_channel;

end_data;

instrument

  panel backpane;
    rem = 'hlavn panel aplikace';
    gui
      owner = background;
      position = 27, 48, 878, 597;
      visibility = false;
      window
        type = normal;
        title = 'smc-map-205';
        disable = zoom;
      end_window;
    end_gui;

    procedure OnStartup();
    begin
      MoveTo( WorkX + WorkW / 2 - ( 640 + NoZoomWinReduceW ) / 2, WorkY + WorkD / 2 - ( 480 + NoZoomWinReduceD ) / 2 );
      Show();
      Select();
    end_procedure;

  end_panel;

  indicator indicator_2;
    gui
      owner = backpane;
      position = 638, 292;
      visibility = a1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'body2.png';
    false_icon = 'body2.png';
  end_indicator;

  indicator indicator_6;
    gui
      owner = backpane;
      position = 233, 77;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
  end_indicator;

  indicator indicator_5;
    gui
      owner = backpane;
      position = 308, 82;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
  end_indicator;

  indicator indicator_4;
    gui
      owner = backpane;
      position = 638, 367;
      visibility = a0;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = dp1;
    true_icon = 'body_red.png';
    false_icon = 'body2.png';
  end_indicator;

  indicator indicator_3;
    gui
      owner = backpane;
      position = 603, 292;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'body_feeder_2_on.PNG';
    false_icon = 'body_feeder_2_off.PNG';
  end_indicator;

  indicator indicator_1;
    gui
      owner = backpane;
      position = 638, 332;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'body_feeder_on_S.png';
    false_icon = 'body_feeder_off_S.png';
  end_indicator;

  panel panel_1;
    gui
      owner = backpane;
      position = 633, 482, 245, 115;
    end_gui;
    colors
      color = color_btnshadow;
    end_colors;
  end_panel;

  indicator indicator_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = panel_1;
      position = 170, 30;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a_m;
    true_icon = 'am_offs.png';
    false_icon = 'am_ons.png';
    colors
      true_paper = color_btnshadow;
      true_tshadow = color_btnshadow;
      false_paper = color_btnshadow;
      false_tshadow = color_btnshadow;
    end_colors;
  end_indicator;

  indicator indicator_5;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = panel_1;
      position = 185, 5;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a_m;
    true_icon = 'am_ons.png';
    false_icon = 'am_offs.png';
    true_text_list
      font = font_caption;
      text = 'Manual';
    end_true_text_list;
    false_text_list
      font = font_caption;
      text = 'Auto';
    end_false_text_list;
  end_indicator;

  switch switch_3;
    gui
      owner = panel_1;
      position = 90, 25, 72, 72;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = p;
    true_icon = 'stop_pushed.png';
    false_icon = 'stop.png';
    logic = set_true_on_press;
    colors
      true_paper = color_btnshadow;
      true_ink = color_btnshadow;
      true_tshadow = color_btnshadow;
      false_paper = color_btnshadow;
      false_ink = color_btnshadow;
      false_tshadow = color_btnshadow;
      select = color_btnshadow;
    end_colors;
  end_switch;

  switch switch_2;
    gui
      owner = panel_1;
      position = 10, 25, 72, 72;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = m;
    true_icon = 'start_pushed.png';
    false_icon = 'start.png';
    logic = set_true_on_press;
    colors
      true_paper = color_btnshadow;
      true_ink = color_btnshadow;
      true_tshadow = color_btnshadow;
      false_paper = color_btnshadow;
      false_ink = color_btnshadow;
      false_tshadow = color_btnshadow;
      select = color_btnshadow;
    end_colors;
    blink_colors
      true_ink = color_btnface;
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_ink = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
    end_blink_colors;
  end_switch;

end_instrument;

