directories
  '*.png' = '.\visualizacia', '.\source img\casti\final', '.\source img', '.\source img\tlacitka', '.\source img\nove\upravene';
end_directories;

settings
  operation_mode = real_time;
  startup_options
    call_procedures = false;
    activate_receivers = true;
    output_action = set_local;
  end_startup_options;
end_settings;

driver
  SMC {mode = simulate; driver = 'vsource.dll'; map_file = 'smc-map-205.dmf'; parameter_file = 'smc-map-205.par'};
end_driver;

data

  var
    ActivePanel : real {init_value = 0; comment = 'index aktivnho panelu'};
  end_var;

  channel
    a0 : boolean {driver = SMC; driver_index = 1; direction = bidirectional};
    a1 : boolean {driver = SMC; driver_index = 2; direction = bidirectional};
    a_m : boolean {driver = SMC; driver_index = 3; direction = bidirectional};
    Aplus : boolean {driver = SMC; driver_index = 4; direction = bidirectional};
    b1 : boolean {driver = SMC; driver_index = 5; direction = bidirectional};
    Bplus : boolean {driver = SMC; driver_index = 6; direction = bidirectional};
    c1 : boolean {driver = SMC; driver_index = 7; direction = bidirectional};
    c_i : boolean {driver = SMC; driver_index = 8; direction = bidirectional};
    Cplus : boolean {driver = SMC; driver_index = 9; direction = bidirectional};
    Dplus : boolean {driver = SMC; driver_index = 10; direction = bidirectional};
    dp1 : boolean {driver = SMC; driver_index = 11; direction = bidirectional};
    dp2 : boolean {driver = SMC; driver_index = 12; direction = bidirectional};
    dp3 : boolean {driver = SMC; driver_index = 13; direction = bidirectional};
    dp4 : boolean {driver = SMC; driver_index = 14; direction = bidirectional};
    e0 : boolean {driver = SMC; driver_index = 15; direction = bidirectional};
    e1 : boolean {driver = SMC; driver_index = 16; direction = bidirectional};
    e2 : boolean {driver = SMC; driver_index = 17; direction = bidirectional};
    Emin : boolean {driver = SMC; driver_index = 18; direction = bidirectional};
    Eplus : boolean {driver = SMC; driver_index = 19; direction = bidirectional};
    FM : boolean {driver = SMC; driver_index = 21; direction = bidirectional};
    g0 : boolean {driver = SMC; driver_index = 22; direction = bidirectional};
    g1 : boolean {driver = SMC; driver_index = 23; direction = bidirectional};
    Gplus : boolean {driver = SMC; driver_index = 24; direction = bidirectional};
    h0 : boolean {driver = SMC; driver_index = 25; direction = bidirectional};
    h1 : boolean {driver = SMC; driver_index = 26; direction = bidirectional};
    Hplus : boolean {driver = SMC; driver_index = 27; direction = bidirectional};
    Fplus : boolean {driver = SMC; driver_index = 20; direction = bidirectional};
    i0 : boolean {driver = SMC; driver_index = 28; direction = bidirectional};
    i1 : boolean {driver = SMC; driver_index = 29; direction = bidirectional};
    Iplus : boolean {driver = SMC; driver_index = 30; direction = bidirectional};
    isRunning : boolean {driver = SMC; driver_index = 31; direction = bidirectional};
    j0 : boolean {driver = SMC; driver_index = 32; direction = bidirectional};
    j1 : boolean {driver = SMC; driver_index = 33; direction = bidirectional};
    Jmin : boolean {driver = SMC; driver_index = 34; direction = bidirectional};
    Jplus : boolean {driver = SMC; driver_index = 35; direction = bidirectional};
    k0 : boolean {driver = SMC; driver_index = 36; direction = bidirectional};
    k1 : boolean {driver = SMC; driver_index = 37; direction = bidirectional};
    Kplus : boolean {driver = SMC; driver_index = 38; direction = bidirectional};
    m_scada : boolean {driver = SMC; driver_index = 40; direction = bidirectional};
    p_scada : boolean {driver = SMC; driver_index = 42; direction = bidirectional};
    run : boolean {driver = SMC; driver_index = 43; direction = bidirectional};
    v : boolean {driver = SMC; driver_index = 44; direction = bidirectional};
    Vplus : boolean {driver = SMC; driver_index = 45; direction = bidirectional};
    vakuum : boolean {driver = SMC; driver_index = 46; direction = bidirectional};
  end_channel;

end_data;

timer

  selector timing_switch;
    rem = 'pepna asovn pro aktivaci pstroj podle viditelnosti jednotlivch panel';
    activity
      period = 1;
    end_activity;
    case
      Visualizacia_is_active = ActivePanel = 1;
      Senzory_is_active = ActivePanel = 2;
      Manualne_ovladanie_is_active = ActivePanel = 3;
      panel_4_is_active = ActivePanel = 4;
    end_case;
  end_selector;

end_timer;

instrument

  panel backpane;
    rem = 'hlavn panel aplikace';
    gui
      owner = background;
      position = 23, 44, 840, 480;
      visibility = false;
      window
        type = normal;
        title = 'MAP 205';
        disable = zoom;
      end_window;
    end_gui;

    procedure OnStartup();
    begin
      Manualne_ovladanie.Hide();
      panel_4.Hide();
      MoveTo( WorkX + WorkW / 2 - ( 640 + NoZoomWinReduceW ) / 2, WorkY + WorkD / 2 - ( 480 + NoZoomWinReduceD ) / 2 );
      Show();
      Select();
    end_procedure;

  end_panel;

  panel senzory;
    gui
      owner = backpane;
      position = 680, 0, 164, 481;
    end_gui;
  end_panel;

  label vystupy;
    gui
      owner = senzory;
      position = 106, 6;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'Vstupy';
    end_text_list;
  end_label;

  label a1;
    gui
      owner = senzory;
      position = 10, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'a1';
    end_text_list;
  end_label;

  indicator a_1;
    gui
      owner = senzory;
      position = 30, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label a0;
    gui
      owner = senzory;
      position = 10, 26;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'a0';
    end_text_list;
  end_label;

  indicator a_0;
    gui
      owner = senzory;
      position = 30, 26;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a0;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label b1;
    gui
      owner = senzory;
      position = 10, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'b1';
    end_text_list;
  end_label;

  indicator b_1;
    gui
      owner = senzory;
      position = 30, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = b1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label c1;
    gui
      owner = senzory;
      position = 10, 86;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'c1';
    end_text_list;
  end_label;

  indicator c_1;
    gui
      owner = senzory;
      position = 30, 86;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = c1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label e0;
    gui
      owner = senzory;
      position = 10, 106;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'e0';
    end_text_list;
  end_label;

  indicator e_0;
    gui
      owner = senzory;
      position = 30, 106;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = e0;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label e2;
    gui
      owner = senzory;
      position = 10, 126;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'e1';
    end_text_list;
  end_label;

  indicator e_1;
    gui
      owner = senzory;
      position = 30, 126;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = e1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 146;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'e2';
    end_text_list;
  end_label;

  indicator e_2;
    gui
      owner = senzory;
      position = 30, 146;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = e2;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 166;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'g0';
    end_text_list;
  end_label;

  indicator g_0;
    gui
      owner = senzory;
      position = 30, 166;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = g0;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 186;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'g1';
    end_text_list;
  end_label;

  indicator g_1;
    gui
      owner = senzory;
      position = 30, 186;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = g1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 206;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'h0';
    end_text_list;
  end_label;

  indicator h_0;
    gui
      owner = senzory;
      position = 30, 206;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = h0;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 226;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'h1';
    end_text_list;
  end_label;

  indicator h_1;
    gui
      owner = senzory;
      position = 30, 226;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = h1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 246;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'i0';
    end_text_list;
  end_label;

  indicator i_0;
    gui
      owner = senzory;
      position = 30, 246;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i0;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 266;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'i1';
    end_text_list;
  end_label;

  indicator i_1;
    gui
      owner = senzory;
      position = 30, 266;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 286;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'j0';
    end_text_list;
  end_label;

  indicator j_0;
    gui
      owner = senzory;
      position = 30, 286;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = j0;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 306;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'j1';
    end_text_list;
  end_label;

  indicator j_1;
    gui
      owner = senzory;
      position = 30, 306;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = j1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 326;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'k0';
    end_text_list;
  end_label;

  indicator k_0;
    gui
      owner = senzory;
      position = 30, 326;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k0;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 346;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'k1';
    end_text_list;
  end_label;

  indicator k_1;
    gui
      owner = senzory;
      position = 30, 346;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 366;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'v';
    end_text_list;
  end_label;

  indicator v;
    gui
      owner = senzory;
      position = 30, 366;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = v;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 50, 26;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'dp1';
    end_text_list;
  end_label;

  indicator dp1;
    gui
      owner = senzory;
      position = 80, 26;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = dp1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 50, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'dp2';
    end_text_list;
  end_label;

  indicator dp2;
    gui
      owner = senzory;
      position = 80, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = dp2;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 50, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'dp3';
    end_text_list;
  end_label;

  indicator dp3;
    gui
      owner = senzory;
      position = 80, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = dp3;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 50, 86;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'dp4';
    end_text_list;
  end_label;

  indicator dp4;
    gui
      owner = senzory;
      position = 80, 86;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = dp4;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 26;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'A';
    end_text_list;
  end_label;

  indicator Aplus;
    gui
      owner = senzory;
      position = 130, 26;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Aplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'B';
    end_text_list;
  end_label;

  indicator Bplus;
    gui
      owner = senzory;
      position = 130, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Bplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'C';
    end_text_list;
  end_label;

  indicator Cplus;
    gui
      owner = senzory;
      position = 130, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Cplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 86;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'D';
    end_text_list;
  end_label;

  indicator Dplus;
    gui
      owner = senzory;
      position = 130, 86;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Dplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 106;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'E+';
    end_text_list;
  end_label;

  indicator Eplus;
    gui
      owner = senzory;
      position = 130, 106;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Eplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 126;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'E-';
    end_text_list;
  end_label;

  indicator Emin;
    gui
      owner = senzory;
      position = 130, 126;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Emin;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 146;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'F';
    end_text_list;
  end_label;

  indicator Fplus;
    gui
      owner = senzory;
      position = 130, 146;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Fplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 166;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'G';
    end_text_list;
  end_label;

  indicator Gplus;
    gui
      owner = senzory;
      position = 130, 166;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Gplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 186;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'H';
    end_text_list;
  end_label;

  indicator Hplus;
    gui
      owner = senzory;
      position = 130, 186;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Hplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 206;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'I';
    end_text_list;
  end_label;

  indicator Iplus;
    gui
      owner = senzory;
      position = 130, 206;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Iplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 226;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'J+';
    end_text_list;
  end_label;

  indicator Jplus;
    gui
      owner = senzory;
      position = 130, 226;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Jplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 246;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'J-';
    end_text_list;
  end_label;

  indicator Jmin;
    gui
      owner = senzory;
      position = 130, 246;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Jmin;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 266;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'K';
    end_text_list;
  end_label;

  indicator Kplus;
    gui
      owner = senzory;
      position = 130, 266;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Kplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 286;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'V';
    end_text_list;
  end_label;

  indicator Vplus;
    gui
      owner = senzory;
      position = 130, 286;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Vplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label senzory;
    gui
      owner = senzory;
      position = 5, 5;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'Senzory';
    end_text_list;
  end_label;

  panel Visualizacia;
    gui
      owner = backpane;
      position = 0, 40, 680, 440;
    end_gui;
  end_panel;

  indicator cover;
    gui
      owner = Visualizacia;
      position = 447, 131;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'coverT.PNG';
    false_icon = 'coverF.PNG';
  end_indicator;

  indicator shaft;
    gui
      owner = Visualizacia;
      position = 47, 231;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'shaftT.PNG';
    false_icon = 'shaftF.PNG';
  end_indicator;

  indicator bearing;
    gui
      owner = Visualizacia;
      position = 112, 81;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'bearingT.PNG';
    false_icon = 'bearingF.PNG';
  end_indicator;

  indicator base2;
    gui
      owner = Visualizacia;
      position = 372, 196;
      visibility = b1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'baseT.PNG';
    false_icon = 'baseT.PNG';
  end_indicator;

  indicator base1;
    gui
      owner = Visualizacia;
      position = 532, 196;
      visibility = a1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'baseT.PNG';
    false_icon = 'baseT.PNG';
  end_indicator;

  indicator base0;
    gui
      owner = Visualizacia;
      position = 532, 261;
      visibility = a0;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'baseT.PNG';
    false_icon = 'baseF.PNG';
  end_indicator;

  indicator cylJ0K;
    gui
      owner = Visualizacia;
      position = 367, 11;
      visibility = not j1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k1;
    true_icon = 'cylinderJ_0K_1.PNG';
    false_icon = 'cylinderJ_0K_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylJ1K;
    gui
      owner = Visualizacia;
      position = 367, 11;
      visibility = j1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k1;
    true_icon = 'cylinderJ_1K_1.PNG';
    false_icon = 'cylinderJ_1K_0.PNG';
  end_indicator;

  indicator cylG1H0I;
    gui
      owner = Visualizacia;
      position = 97, 176;
      visibility = not g1 and not h1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_1H_0I_1.PNG';
    false_icon = 'cylinderG_1H_0I_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylG1H1I;
    gui
      owner = Visualizacia;
      position = 97, 176;
      visibility = g0 and h1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_1H_1I_1.PNG';
    false_icon = 'cylinderG_1H_1I_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylG0H1I;
    gui
      owner = Visualizacia;
      position = 97, 176;
      visibility = g1 and h1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_0H_1I_1.PNG';
    false_icon = 'cylinderG_0H_1I_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylG0H0I;
    gui
      owner = Visualizacia;
      position = 97, 176;
      visibility = g1 and h0;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_0H_0I_1.PNG';
    false_icon = 'cylinderG_0H_0I_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylE0F;
    gui
      owner = Visualizacia;
      position = 182, 16;
      visibility = not e1 and not e2;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = e0 and Fplus;
    true_icon = 'cylinderE_0F_1.PNG';
    false_icon = 'cylinderE_0F_0.PNG';
  end_indicator;

  indicator cylE2F;
    gui
      owner = Visualizacia;
      position = 182, 16;
      visibility = e2;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = e1 and Fplus;
    true_icon = 'cylinderE_2F_1.PNG';
    false_icon = 'cylinderE_2F_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylE1F;
    gui
      owner = Visualizacia;
      position = 182, 16;
      visibility = e1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = e1 and Fplus;
    true_icon = 'cylinderE_1F_1.PNG';
    false_icon = 'cylinderE_1F_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylC;
    gui
      owner = Visualizacia;
      position = 547, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = c1;
    true_icon = 'cylinderC_1.PNG';
    false_icon = 'cylinderC_0.PNG';
  end_indicator;

  indicator cylB;
    gui
      owner = Visualizacia;
      position = 502, 196;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = b1;
    true_icon = 'cylinderB_1.PNG';
    false_icon = 'cylinderB_0.PNG';
  end_indicator;

  indicator cylA;
    gui
      owner = Visualizacia;
      position = 532, 261;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = not a1 and a0;
    true_icon = 'cylinderA_1.PNG';
    false_icon = 'cylinderA_0.PNG';
  end_indicator;

  panel panel_2;
    gui
      clipboard_root = true;
      owner = Visualizacia;
      position = 97, 331, 245, 105;
    end_gui;
    colors
      color = color_btnshadow;
    end_colors;
  end_panel;

  indicator a_m_big;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = panel_2;
      position = 170, 30;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a_m;
    true_icon = 'am_offs.png';
    false_icon = 'am_ons.png';
    colors
      true_paper = color_btnshadow;
      true_tshadow = color_btnshadow;
      false_paper = color_btnshadow;
      false_tshadow = color_btnshadow;
    end_colors;
  end_indicator;

  indicator a_m_text;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = panel_2;
      position = 185, 5;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a_m;
    true_icon = 'am_ons.png';
    false_icon = 'am_offs.png';
    true_text_list
      font = font_caption;
      text = 'Manual';
    end_true_text_list;
    false_text_list
      font = font_caption;
      text = 'Auto';
    end_false_text_list;
  end_indicator;

  switch stop_sw;
    gui
      owner = panel_2;
      position = 90, 25, 72, 72;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = p_scada;
    true_icon = 'stop_pushed.png';
    false_icon = 'stop.png';
    logic = set_true_on_press;
    colors
      true_paper = color_btnshadow;
      true_ink = color_btnshadow;
      true_tshadow = color_btnshadow;
      false_paper = color_btnshadow;
      false_ink = color_btnshadow;
      false_tshadow = color_btnshadow;
      select = color_btnshadow;
    end_colors;
  end_switch;

  switch start_sw;
    gui
      owner = panel_2;
      position = 10, 25, 72, 72;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = m_scada;
    true_icon = 'start_pushed.png';
    false_icon = 'start.png';
    logic = set_true_on_press;
    colors
      true_paper = color_btnshadow;
      true_ink = color_btnshadow;
      true_tshadow = color_btnshadow;
      false_paper = color_btnshadow;
      false_ink = color_btnshadow;
      false_tshadow = color_btnshadow;
      select = color_btnshadow;
    end_colors;
    blink_colors
      true_ink = color_btnface;
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_ink = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
    end_blink_colors;
  end_switch;

  panel Manualne_ovladanie;
    gui
      owner = backpane;
      position = 0, 40, 680, 440;
    end_gui;
  end_panel;

  indicator shaft;
    gui
      owner = Manualne_ovladanie;
      position = 47, 231;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'shaftT.PNG';
    false_icon = 'shaftF.PNG';
  end_indicator;

  indicator bearing;
    gui
      owner = Manualne_ovladanie;
      position = 112, 81;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'bearingT.PNG';
    false_icon = 'bearingF.PNG';
  end_indicator;

  indicator base2;
    gui
      owner = Manualne_ovladanie;
      position = 372, 196;
      visibility = b1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'baseT.PNG';
    false_icon = 'baseT.PNG';
  end_indicator;

  indicator base1;
    gui
      owner = Manualne_ovladanie;
      position = 532, 196;
      visibility = a1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'baseT.PNG';
    false_icon = 'baseT.PNG';
  end_indicator;

  indicator base0;
    gui
      owner = Manualne_ovladanie;
      position = 532, 261;
      visibility = a0;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'baseT.PNG';
    false_icon = 'baseF.PNG';
  end_indicator;

  indicator cylJ0Km;
    gui
      owner = Manualne_ovladanie;
      position = 367, 11;
      visibility = not j1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k1;
    true_icon = 'cylinderJ_0K_1.PNG';
    false_icon = 'cylinderJ_0K_0.PNG';
  end_indicator;

  indicator cylG1H0Im;
    gui
      owner = Manualne_ovladanie;
      position = 97, 176;
      visibility = not g1 and not h1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_1H_0I_1.PNG';
    false_icon = 'cylinderG_1H_0I_0.PNG';
  end_indicator;

  indicator cylG1H1Im;
    gui
      owner = Manualne_ovladanie;
      position = 97, 176;
      visibility = g0 and h1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_1H_1I_1.PNG';
    false_icon = 'cylinderG_1H_1I_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylG0H1Im;
    gui
      owner = Manualne_ovladanie;
      position = 97, 176;
      visibility = g1 and h1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_0H_1I_1.PNG';
    false_icon = 'cylinderG_0H_1I_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylG0H0I;
    gui
      owner = Manualne_ovladanie;
      position = 97, 176;
      visibility = g1 and h0;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_0H_0I_1.PNG';
    false_icon = 'cylinderG_0H_0I_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylE0Fm;
    gui
      owner = Manualne_ovladanie;
      position = 182, 16;
      visibility = not e1 and not e2;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = e0 and Fplus;
    true_icon = 'cylinderE_0F_1.PNG';
    false_icon = 'cylinderE_0F_0.PNG';
  end_indicator;

  indicator cylCm;
    gui
      owner = Manualne_ovladanie;
      position = 547, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = c1;
    true_icon = 'cylinderC_1.PNG';
    false_icon = 'cylinderC_0.PNG';
  end_indicator;

  indicator cylBm;
    gui
      owner = Manualne_ovladanie;
      position = 502, 196;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = b1;
    true_icon = 'cylinderB_1.PNG';
    false_icon = 'cylinderB_0.PNG';
  end_indicator;

  indicator cylAm;
    gui
      owner = Manualne_ovladanie;
      position = 532, 261;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = not a1 and a0;
    true_icon = 'cylinderA_1.PNG';
    false_icon = 'cylinderA_0.PNG';
  end_indicator;

  indicator cylE2Fm;
    gui
      owner = Manualne_ovladanie;
      position = 182, 16;
      visibility = e2;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = e1 and Fplus;
    true_icon = 'cylinderE_2F_1.PNG';
    false_icon = 'cylinderE_2F_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylE1Fm;
    gui
      owner = Manualne_ovladanie;
      position = 182, 16;
      visibility = e1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = e1 and Fplus;
    true_icon = 'cylinderE_1F_1.PNG';
    false_icon = 'cylinderE_1F_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylJ1Km;
    gui
      owner = Manualne_ovladanie;
      position = 367, 11;
      visibility = j1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k1;
    true_icon = 'cylinderJ_1K_1.PNG';
    false_icon = 'cylinderJ_1K_0.PNG';
  end_indicator;

  indicator cover;
    gui
      owner = Manualne_ovladanie;
      position = 447, 131;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'coverT.PNG';
    false_icon = 'coverF.PNG';
  end_indicator;

  label panel_label;
    gui
      owner = Manualne_ovladanie;
      position = 5, 5;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'Manualne ovladanie';
    end_text_list;
  end_label;

  panel panel_4;
    gui
      owner = backpane;
      position = 0, 40, 680, 440;
    end_gui;
  end_panel;

  label panel_label;
    gui
      owner = panel_4;
      position = 5, 5;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'panel_4';
    end_text_list;
  end_label;

  panel controls_panel;
    gui
      owner = backpane;
      position = 0, 0, 680, 40;
    end_gui;
  end_panel;

  tab_switch tswitch;
    gui
      owner = controls_panel;
      position = 0, 0, 681, 40;
    end_gui;
    mode = top_no_frame;
    item
      title = 'Visualizacia';
      panel = Visualizacia;
      selected;
    end_item;
    item
      title = 'Manualne ovladanie';
      panel = Manualne_ovladanie;
    end_item;
    item
      title = 'panel_4';
      panel = panel_4;
    end_item;
    blink_colors
      border = color_btntext;
    end_blink_colors;

    procedure OnIndex( Index : real );
    begin
      ActivePanel = Index;
    end_procedure;

  end_tab_switch;

end_instrument;

