directories
  '*.png' = '.\visualizacia', '.\source img\casti\final', '.\source img', '.\source img\tlacitka', '.\source img\nove\upravene';
end_directories;

settings
  operation_mode = real_time;
  startup_options
    call_procedures = false;
    activate_receivers = true;
    output_action = set_local;
  end_startup_options;
end_settings;

driver
  SMC {driver = 'vsource.dll'; map_file = 'smc-map-205.dmf'; parameter_file = 'smc-map-205.par'};
end_driver;

data

  var
    ActivePanel : real {init_value = 0; comment = 'index aktivnho panelu'};
  end_var;

  channel
    a0 : boolean {driver = SMC; driver_index = 1; direction = bidirectional};
    a1 : boolean {driver = SMC; driver_index = 2; direction = bidirectional};
    a_m : boolean {driver = SMC; driver_index = 3; direction = bidirectional};
    Aplus : boolean {driver = SMC; driver_index = 4; direction = bidirectional};
    b1 : boolean {driver = SMC; driver_index = 5; direction = bidirectional};
    Bplus : boolean {driver = SMC; driver_index = 6; direction = bidirectional};
    c1 : boolean {driver = SMC; driver_index = 7; direction = bidirectional};
    c_i : boolean {driver = SMC; driver_index = 8; direction = bidirectional};
    Cplus : boolean {driver = SMC; driver_index = 9; direction = bidirectional};
    Dplus : boolean {driver = SMC; driver_index = 10; direction = bidirectional};
    dp1 : boolean {driver = SMC; driver_index = 11; direction = bidirectional};
    dp2 : boolean {driver = SMC; driver_index = 12; direction = bidirectional};
    dp3 : boolean {driver = SMC; driver_index = 13; direction = bidirectional};
    dp4 : boolean {driver = SMC; driver_index = 14; direction = bidirectional};
    e0 : boolean {driver = SMC; driver_index = 15; direction = bidirectional};
    e1 : boolean {driver = SMC; driver_index = 16; direction = bidirectional};
    e2 : boolean {driver = SMC; driver_index = 17; direction = bidirectional};
    Emin : boolean {driver = SMC; driver_index = 18; direction = bidirectional};
    Eplus : boolean {driver = SMC; driver_index = 19; direction = bidirectional};
    FM : boolean {driver = SMC; driver_index = 21; direction = bidirectional};
    g0 : boolean {driver = SMC; driver_index = 22; direction = bidirectional};
    g1 : boolean {driver = SMC; driver_index = 23; direction = bidirectional};
    Gplus : boolean {driver = SMC; driver_index = 24; direction = bidirectional};
    h0 : boolean {driver = SMC; driver_index = 25; direction = bidirectional};
    h1 : boolean {driver = SMC; driver_index = 26; direction = bidirectional};
    Hplus : boolean {driver = SMC; driver_index = 27; direction = bidirectional};
    Fplus : boolean {driver = SMC; driver_index = 20; direction = bidirectional};
    i0 : boolean {driver = SMC; driver_index = 28; direction = bidirectional};
    i1 : boolean {driver = SMC; driver_index = 29; direction = bidirectional};
    Iplus : boolean {driver = SMC; driver_index = 30; direction = bidirectional};
    isRunning : boolean {driver = SMC; driver_index = 31; direction = bidirectional};
    j0 : boolean {driver = SMC; driver_index = 32; direction = bidirectional};
    j1 : boolean {driver = SMC; driver_index = 33; direction = bidirectional};
    Jmin : boolean {driver = SMC; driver_index = 34; direction = bidirectional};
    Jplus : boolean {driver = SMC; driver_index = 35; direction = bidirectional};
    k0 : boolean {driver = SMC; driver_index = 36; direction = bidirectional};
    k1 : boolean {driver = SMC; driver_index = 37; direction = bidirectional};
    Kplus : boolean {driver = SMC; driver_index = 38; direction = bidirectional};
    m_scada : boolean {driver = SMC; driver_index = 40; direction = bidirectional};
    p_scada : boolean {driver = SMC; driver_index = 42; direction = bidirectional};
    run : boolean {driver = SMC; driver_index = 43; direction = bidirectional};
    v : boolean {driver = SMC; driver_index = 44; direction = bidirectional};
    Vplus : boolean {driver = SMC; driver_index = 45; direction = bidirectional};
    vakuum : boolean {driver = SMC; driver_index = 46; direction = bidirectional};
  end_channel;

end_data;

timer

  iterator majak;
    activity
      period = 0.5;
    end_activity;
  end_iterator;

  selector timing_switch;
    rem = 'pepna asovn pro aktivaci pstroj podle viditelnosti jednotlivch panel';
    activity
      period = 0.2;
    end_activity;
    case
      Visualizacia_is_active = ActivePanel = 1;
      Senzory_is_active = ActivePanel = 2;
      Manualne_ovladanie_is_active = ActivePanel = 3;
      panel_4_is_active = ActivePanel = 4;
    end_case;
  end_selector;

end_timer;

instrument

  panel backpane;
    rem = 'hlavn panel aplikace';
    gui
      owner = background;
      position = 23, 44, 840, 480;
      visibility = false;
      window
        type = normal;
        title = 'MAP 205';
        disable = zoom;
      end_window;
    end_gui;

    procedure OnStartup();
    begin
      Manualne_ovladanie.Hide();
      panel_4.Hide();
      MoveTo( WorkX + WorkW / 2 - ( 640 + NoZoomWinReduceW ) / 2, WorkY + WorkD / 2 - ( 480 + NoZoomWinReduceD ) / 2 );
      Show();
      Select();
    end_procedure;

  end_panel;

  panel stav;
    gui
      owner = backpane;
      position = 680, 0, 164, 481;
    end_gui;
  end_panel;

  indicator V_0_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 426;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = v;
    true_text_list
      text = 'v pracovnej polohe';
    end_true_text_list;
    false_text_list
      text = 'v zkladnej polohe';
    end_false_text_list;
    colors
      true_paper = lgreen;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lred;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  label vakuum;
    gui
      owner = stav;
      position = 17, 411;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'Prsavky (V)';
    end_text_list;
  end_label;

  indicator K_0_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 391;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = not k0;
    true_text_list
      text = 'v pracovnej polohe';
    end_true_text_list;
    false_text_list
      text = 'v zkladnej polohe';
    end_false_text_list;
    colors
      true_paper = lgreen;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lred;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  label Vcover_valec;
    gui
      owner = stav;
      position = 17, 376;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'K valec (K)';
    end_text_list;
  end_label;

  indicator J_0_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 356;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = not j0;
    true_text_list
      text = 'v pracovnej polohe';
    end_true_text_list;
    false_text_list
      text = 'v zkladnej polohe';
    end_false_text_list;
    colors
      true_paper = lgreen;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lred;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  label Hcover_valec;
    gui
      owner = stav;
      position = 17, 341;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'J valec (J)';
    end_text_list;
  end_label;

  indicator I_0_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 321;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = not i0;
    true_text_list
      text = 'v pracovnej polohe';
    end_true_text_list;
    false_text_list
      text = 'v zkladnej polohe';
    end_false_text_list;
    colors
      true_paper = lgreen;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lred;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  label outgrip_valec;
    gui
      owner = stav;
      position = 17, 306;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'Uchopova hriadele (I)';
    end_text_list;
  end_label;

  indicator G_move;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 251;
      visibility = not( g0 or g1 );
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Gplus;
    true_text_list
      text = '       v pohybe         ';
    end_true_text_list;
    false_text_list
      text = '       v pohybe         ';
    end_false_text_list;
    colors
      true_paper = lyellow;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lyellow;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  indicator G_0_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 251;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = not g0;
    true_text_list
      text = 'v pracovnej polohe';
    end_true_text_list;
    false_text_list
      text = 'v zkladnej polohe';
    end_false_text_list;
    colors
      true_paper = lgreen;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lred;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  label G_valec;
    gui
      owner = stav;
      position = 17, 236;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'G valec (G)';
    end_text_list;
  end_label;

  indicator C_0_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 286;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = not h0;
    true_text_list
      text = 'v pracovnej polohe';
    end_true_text_list;
    false_text_list
      text = 'v zkladnej polohe';
    end_false_text_list;
    colors
      true_paper = lgreen;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lred;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  label H_valec;
    gui
      owner = stav;
      position = 17, 271;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'H valec (H)';
    end_text_list;
  end_label;

  indicator C_0_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 216;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Fplus;
    true_text_list
      text = 'v pracovnej polohe';
    end_true_text_list;
    false_text_list
      text = 'v zkladnej polohe';
    end_false_text_list;
    colors
      true_paper = lgreen;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lred;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  label ingrip_valec;
    gui
      owner = stav;
      position = 17, 201;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'Vntorn uchopova (F)';
    end_text_list;
  end_label;

  indicator E_move;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 181;
      visibility = ( Eplus or Emin ) and not( e0 or e2 );
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = e1;
    true_text_list
      text = '       v pohybe         ';
    end_true_text_list;
    false_text_list
      text = '       v pohybe         ';
    end_false_text_list;
    colors
      true_paper = lyellow;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lyellow;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  indicator E_0_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 181;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = e0 or e2;
    true_text_list
      text = 'v pracovnej polohe';
    end_true_text_list;
    false_text_list
      text = 'v zkladnej polohe';
    end_false_text_list;
    colors
      true_paper = lgreen;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lred;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  label rot_valec;
    gui
      owner = stav;
      position = 17, 166;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'Rotan aktutor (E)';
    end_text_list;
  end_label;

  indicator D_0_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 146;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Dplus;
    true_text_list
      text = 'v pracovnej polohe';
    end_true_text_list;
    false_text_list
      text = 'v zkladnej polohe';
    end_false_text_list;
    colors
      true_paper = lgreen;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lred;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  label reject_valec;
    gui
      owner = stav;
      position = 17, 131;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'Vyraovac valec (D)';
    end_text_list;
  end_label;

  indicator C_move;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 111;
      visibility = Cplus and not c1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = c1;
    true_text_list
      text = '       v pohybe         ';
    end_true_text_list;
    false_text_list
      text = '       v pohybe         ';
    end_false_text_list;
    colors
      true_paper = lyellow;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lyellow;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  indicator C_0_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 111;
      visibility = not Cplus or c1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = c1;
    true_text_list
      text = 'v pracovnej polohe';
    end_true_text_list;
    false_text_list
      text = 'v zkladnej polohe';
    end_false_text_list;
    colors
      true_paper = lgreen;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lred;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  label verif_valec;
    gui
      owner = stav;
      position = 17, 96;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'Verifikan valec (C)';
    end_text_list;
  end_label;

  indicator B_move;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 76;
      visibility = Bplus and not b1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = b1;
    true_text_list
      text = '       v pohybe         ';
    end_true_text_list;
    false_text_list
      text = '       v pohybe         ';
    end_false_text_list;
    colors
      true_paper = lyellow;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lyellow;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  indicator C_0_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 76;
      visibility = not Bplus or b1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = b1;
    true_text_list
      text = 'v pracovnej polohe';
    end_true_text_list;
    false_text_list
      text = 'v zkladnej polohe';
    end_false_text_list;
    colors
      true_paper = lgreen;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lred;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  label transfer_valec;
    gui
      owner = stav;
      position = 17, 61;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'Presvac valec (B)';
    end_text_list;
  end_label;

  indicator A_move;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 41;
      visibility = Aplus and not a1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a1;
    true_text_list
      text = '       v pohybe         ';
    end_true_text_list;
    false_text_list
      text = '       v pohybe         ';
    end_false_text_list;
    colors
      true_paper = lyellow;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lyellow;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  indicator A_0_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = stav;
      position = 22, 41;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a1;
    true_text_list
      text = 'v pracovnej polohe';
    end_true_text_list;
    false_text_list
      text = 'v zkladnej polohe';
    end_false_text_list;
    colors
      true_paper = lgreen;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lred;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  label feeder_valec;
    gui
      owner = stav;
      position = 17, 26;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'Podvac valec (A)';
    end_text_list;
  end_label;

  panel senzory;
    gui
      owner = backpane;
      position = 677, 1, 164, 481;
    end_gui;
  end_panel;

  indicator C_0_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 17, 426;
      visibility = Cplus and not c1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = c1;
    true_text_list
      text = '       v pohybe         ';
    end_true_text_list;
    false_text_list
      text = '       v pohybe         ';
    end_false_text_list;
    colors
      true_paper = lyellow;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lyellow;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  indicator C_0_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 12, 411;
      visibility = not Cplus or c1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = c1;
    true_text_list
      text = 'v pracovnej polohe';
    end_true_text_list;
    false_text_list
      text = 'v zkladnej polohe';
    end_false_text_list;
    colors
      true_paper = lgreen;
      true_tshadow = black;
      true_bshadow = black;
      false_paper = lred;
      false_tshadow = black;
      false_bshadow = black;
    end_colors;
  end_indicator;

  label verif_valec;
    gui
      owner = senzory;
      position = 7, 396;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'Verifikan valec (C)';
    end_text_list;
  end_label;

  label vystupy;
    gui
      owner = senzory;
      position = 106, 6;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'Vstupy';
    end_text_list;
  end_label;

  label a1;
    gui
      owner = senzory;
      position = 10, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'a1';
    end_text_list;
  end_label;

  indicator a_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label a0;
    gui
      owner = senzory;
      position = 10, 26;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'a0';
    end_text_list;
  end_label;

  indicator a_0;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 26;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a0;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label b1;
    gui
      owner = senzory;
      position = 10, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'b1';
    end_text_list;
  end_label;

  indicator b_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = b1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label c1;
    gui
      owner = senzory;
      position = 10, 86;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'c1';
    end_text_list;
  end_label;

  indicator c_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 86;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = c1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label e0;
    gui
      owner = senzory;
      position = 10, 106;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'e0';
    end_text_list;
  end_label;

  indicator e_0;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 106;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = e0;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label e1;
    gui
      owner = senzory;
      position = 10, 126;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'e1';
    end_text_list;
  end_label;

  indicator e_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 126;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = e1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label e2;
    gui
      owner = senzory;
      position = 10, 146;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'e2';
    end_text_list;
  end_label;

  indicator e2;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 146;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = e2;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label g_0;
    gui
      owner = senzory;
      position = 10, 166;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'g0';
    end_text_list;
  end_label;

  indicator g_0;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 166;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = g0;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label g_1;
    gui
      owner = senzory;
      position = 10, 186;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'g1';
    end_text_list;
  end_label;

  indicator g_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 186;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = g1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 206;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'h0';
    end_text_list;
  end_label;

  indicator h_0;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 206;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = h0;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 226;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'h1';
    end_text_list;
  end_label;

  indicator h_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 226;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = h1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 246;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'i0';
    end_text_list;
  end_label;

  indicator i_0;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 246;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i0;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 266;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'i1';
    end_text_list;
  end_label;

  indicator i_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 266;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 286;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'j0';
    end_text_list;
  end_label;

  indicator j_0;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 286;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = j0;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 306;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'j1';
    end_text_list;
  end_label;

  indicator j_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 306;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = j1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 326;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'k0';
    end_text_list;
  end_label;

  indicator k_0;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 326;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k0;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 346;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'k1';
    end_text_list;
  end_label;

  indicator k_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 346;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 10, 366;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'v';
    end_text_list;
  end_label;

  indicator v;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 30, 366;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = v;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 50, 26;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'dp1';
    end_text_list;
  end_label;

  indicator dp1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 80, 26;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = dp1;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 50, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'dp2';
    end_text_list;
  end_label;

  indicator dp2;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 80, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = not dp2;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 50, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'dp3';
    end_text_list;
  end_label;

  indicator dp3;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 80, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = not dp3;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 50, 86;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'dp4';
    end_text_list;
  end_label;

  indicator dp4;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 80, 86;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = dp4;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 26;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'A';
    end_text_list;
  end_label;

  indicator Aplus;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 130, 26;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Aplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'B';
    end_text_list;
  end_label;

  indicator Bplus;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 130, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Bplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'C';
    end_text_list;
  end_label;

  indicator Cplus;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 130, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Cplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 86;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'D';
    end_text_list;
  end_label;

  indicator Dplus;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 130, 86;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Dplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 106;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'E+';
    end_text_list;
  end_label;

  indicator Eplus;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 130, 106;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Eplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 126;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'E-';
    end_text_list;
  end_label;

  indicator Emin;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 130, 126;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Emin;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 146;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'F';
    end_text_list;
  end_label;

  indicator Fplus;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 130, 146;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Fplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 166;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'G';
    end_text_list;
  end_label;

  indicator Gplus;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 130, 166;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Gplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 186;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'H';
    end_text_list;
  end_label;

  indicator Hplus;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 130, 186;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Hplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 206;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'I';
    end_text_list;
  end_label;

  indicator Iplus;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 130, 206;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Iplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 226;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'J+';
    end_text_list;
  end_label;

  indicator Jplus;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 130, 226;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Jplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 246;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'J-';
    end_text_list;
  end_label;

  indicator Jmin;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 130, 246;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Jmin;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 266;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'K';
    end_text_list;
  end_label;

  indicator Kplus;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 130, 266;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Kplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label panel_label;
    gui
      owner = senzory;
      position = 110, 286;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'V';
    end_text_list;
  end_label;

  indicator Vplus;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = senzory;
      position = 130, 286;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Vplus;
    true_icon = 'on.png';
    false_icon = 'off.png';
  end_indicator;

  label senzory;
    gui
      owner = senzory;
      position = 5, 5;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'Senzory';
    end_text_list;
  end_label;

  panel Visualizacia;
    gui
      owner = backpane;
      position = 0, 40, 680, 440;
    end_gui;
  end_panel;

  indicator majak;
    activity
      timer = timing_switch.Visualizacia_is_active, 1;
    end_activity;
    gui
      owner = Visualizacia;
      position = 12, 11;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = FM;
    true_icon = 'majak_on.png';
    false_icon = 'majak_off.png';
  end_indicator;

  label label_H;
    gui
      owner = Visualizacia;
      position = 182, 201;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'H';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_I;
    gui
      owner = Visualizacia;
      position = 102, 191;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'I';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_F;
    gui
      owner = Visualizacia;
      position = 212, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'F';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_G;
    gui
      owner = Visualizacia;
      position = 167, 256;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'G';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_E;
    gui
      owner = Visualizacia;
      position = 272, 106;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'E';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_V;
    gui
      owner = Visualizacia;
      position = 497, 111;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'V';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_K;
    gui
      owner = Visualizacia;
      position = 422, 76;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'K';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_J;
    gui
      owner = Visualizacia;
      position = 492, 1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'J';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_A;
    gui
      owner = Visualizacia;
      position = 559, 391;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'A';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_B;
    gui
      owner = Visualizacia;
      position = 637, 222;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'B';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_C;
    gui
      owner = Visualizacia;
      position = 557, 76;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'C';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  indicator cover;
    activity
      timer = timing_switch.Visualizacia_is_active, 17;
    end_activity;
    gui
      owner = Visualizacia;
      position = 447, 131;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = dp4;
    true_icon = 'coverT.PNG';
    false_icon = 'coverF.PNG';
  end_indicator;

  indicator shaft;
    activity
      timer = timing_switch.Visualizacia_is_active, 18;
    end_activity;
    gui
      owner = Visualizacia;
      position = 47, 231;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = not dp3;
    true_icon = 'shaftT.PNG';
    false_icon = 'shaftF.PNG';
  end_indicator;

  indicator bearing;
    activity
      timer = timing_switch.Visualizacia_is_active, 19;
    end_activity;
    gui
      owner = Visualizacia;
      position = 112, 81;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = not dp2;
    true_icon = 'bearingT.PNG';
    false_icon = 'bearingF.PNG';
  end_indicator;

  indicator base2;
    activity
      timer = timing_switch.Visualizacia_is_active, 16;
    end_activity;
    gui
      owner = Visualizacia;
      position = 372, 196;
      visibility = b1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'baseT.PNG';
    false_icon = 'baseT.PNG';
  end_indicator;

  indicator base1;
    activity
      timer = timing_switch.Visualizacia_is_active, 15;
    end_activity;
    gui
      owner = Visualizacia;
      position = 532, 196;
      visibility = a1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'baseT.PNG';
    false_icon = 'baseT.PNG';
  end_indicator;

  indicator base0;
    activity
      timer = timing_switch.Visualizacia_is_active, 14;
    end_activity;
    gui
      owner = Visualizacia;
      position = 532, 261;
      visibility = a0;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = dp1;
    true_icon = 'baseT.PNG';
    false_icon = 'baseF.PNG';
  end_indicator;

  indicator cylJ0K;
    activity
      timer = timing_switch.Visualizacia_is_active, 13;
    end_activity;
    gui
      owner = Visualizacia;
      position = 367, 11;
      visibility = not j1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k1;
    true_icon = 'cylinderJ_0K_1.PNG';
    false_icon = 'cylinderJ_0K_0.PNG';
  end_indicator;

  indicator cylJ1K;
    activity
      timer = timing_switch.Visualizacia_is_active, 12;
    end_activity;
    gui
      owner = Visualizacia;
      position = 367, 11;
      visibility = j1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k1;
    true_icon = 'cylinderJ_1K_1.PNG';
    false_icon = 'cylinderJ_1K_0.PNG';
  end_indicator;

  indicator cylG1H0I;
    activity
      timer = timing_switch.Visualizacia_is_active, 11;
    end_activity;
    gui
      owner = Visualizacia;
      position = 97, 176;
      visibility = not g1 and not h1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_1H_0I_1.PNG';
    false_icon = 'cylinderG_1H_0I_0.PNG';
  end_indicator;

  indicator cylG1H1I;
    activity
      timer = timing_switch.Visualizacia_is_active, 10;
    end_activity;
    gui
      owner = Visualizacia;
      position = 97, 176;
      visibility = g0 and h1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_1H_1I_1.PNG';
    false_icon = 'cylinderG_1H_1I_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylG0H1I;
    activity
      timer = timing_switch.Visualizacia_is_active, 9;
    end_activity;
    gui
      owner = Visualizacia;
      position = 97, 176;
      visibility = g1 and h1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_0H_1I_1.PNG';
    false_icon = 'cylinderG_0H_1I_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylG0H0I;
    activity
      timer = timing_switch.Visualizacia_is_active, 8;
    end_activity;
    gui
      owner = Visualizacia;
      position = 97, 176;
      visibility = g1 and h0;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_0H_0I_1.PNG';
    false_icon = 'cylinderG_0H_0I_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylE0F;
    activity
      timer = timing_switch.Visualizacia_is_active, 7;
    end_activity;
    gui
      owner = Visualizacia;
      position = 182, 16;
      visibility = e0;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Fplus;
    true_icon = 'cylinderE_0F_1.PNG';
    false_icon = 'cylinderE_0F_0.PNG';
  end_indicator;

  indicator cylE2F;
    activity
      timer = timing_switch.Visualizacia_is_active, 6;
    end_activity;
    gui
      owner = Visualizacia;
      position = 182, 16;
      visibility = e2;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Fplus;
    true_icon = 'cylinderE_2F_1.PNG';
    false_icon = 'cylinderE_2F_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylE1F;
    activity
      timer = timing_switch.Visualizacia_is_active, 5;
    end_activity;
    gui
      owner = Visualizacia;
      position = 182, 16;
      visibility = not e0 and not e2;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Fplus;
    true_icon = 'cylinderE_1F_1.PNG';
    false_icon = 'cylinderE_1F_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylC;
    activity
      timer = timing_switch.Visualizacia_is_active, 4;
    end_activity;
    gui
      owner = Visualizacia;
      position = 547, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = c1;
    true_icon = 'cylinderC_1.PNG';
    false_icon = 'cylinderC_0.PNG';
  end_indicator;

  indicator cylB;
    activity
      timer = timing_switch.Visualizacia_is_active, 3;
    end_activity;
    gui
      owner = Visualizacia;
      position = 502, 196;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = b1;
    true_icon = 'cylinderB_1.PNG';
    false_icon = 'cylinderB_0.PNG';
  end_indicator;

  indicator cylA;
    activity
      timer = timing_switch.Visualizacia_is_active, 2;
    end_activity;
    gui
      owner = Visualizacia;
      position = 532, 261;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = not a0 and a1;
    true_icon = 'cylinderA_1.PNG';
    false_icon = 'cylinderA_0.PNG';
  end_indicator;

  panel panel_2;
    gui
      clipboard_root = true;
      owner = Visualizacia;
      position = 97, 331, 245, 105;
    end_gui;
    colors
      color = color_btnshadow;
    end_colors;
  end_panel;

  indicator a_m_big;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = panel_2;
      position = 170, 30;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a_m;
    true_icon = 'am_offs.png';
    false_icon = 'am_ons.png';
    colors
      true_paper = color_btnshadow;
      true_tshadow = color_btnshadow;
      false_paper = color_btnshadow;
      false_tshadow = color_btnshadow;
    end_colors;
  end_indicator;

  indicator a_m_text;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = panel_2;
      position = 185, 5;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a_m;
    true_icon = 'am_ons.png';
    false_icon = 'am_offs.png';
    true_text_list
      font = font_caption;
      text = 'Manual';
    end_true_text_list;
    false_text_list
      font = font_caption;
      text = 'Auto';
    end_false_text_list;
  end_indicator;

  switch stop_sw;
    gui
      owner = panel_2;
      position = 90, 25, 72, 72;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = p_scada;
    true_icon = 'stop_pushed.png';
    false_icon = 'stop.png';
    logic = set_true_on_press;
    colors
      true_paper = color_btnshadow;
      true_ink = color_btnshadow;
      true_tshadow = color_btnshadow;
      false_paper = color_btnshadow;
      false_ink = color_btnshadow;
      false_tshadow = color_btnshadow;
      select = color_btnshadow;
    end_colors;
  end_switch;

  switch start_sw;
    gui
      owner = panel_2;
      position = 10, 25, 72, 72;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = m_scada;
    true_icon = 'start_pushed.png';
    false_icon = 'start.png';
    logic = set_true_on_press;
    colors
      true_paper = color_btnshadow;
      true_ink = color_btnshadow;
      true_tshadow = color_btnshadow;
      false_paper = color_btnshadow;
      false_ink = color_btnshadow;
      false_tshadow = color_btnshadow;
      select = color_btnshadow;
    end_colors;
    blink_colors
      true_ink = color_btnface;
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_ink = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
    end_blink_colors;
  end_switch;

  panel Manualne_ovladanie;
    gui
      owner = backpane;
      position = 0, 40, 680, 440;
    end_gui;
  end_panel;

  indicator majak;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 33;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 12, 11;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = FM;
    true_icon = 'majak_on.png';
    false_icon = 'majak_off.png';
  end_indicator;

  label label_Jplusm;
    gui
      owner = Manualne_ovladanie;
      position = 427, 3;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'J+';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_Jminm;
    gui
      owner = Manualne_ovladanie;
      position = 507, 1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'J-';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  indicator arrowJleft;
    gui
      owner = Manualne_ovladanie;
      position = 412, 1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a0;
    true_icon = 'left.PNG';
    false_icon = 'left.PNG';
    transparent = true;
  end_indicator;

  indicator arrowJright;
    gui
      owner = Manualne_ovladanie;
      position = 522, 1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a0;
    true_icon = 'right.PNG';
    false_icon = 'right.PNG';
    transparent = true;
  end_indicator;

  label label_Eminusm;
    gui
      owner = Manualne_ovladanie;
      position = 167, 11;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'E-';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_Eplusm;
    gui
      owner = Manualne_ovladanie;
      position = 337, 1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'E+';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  indicator arrowEright;
    gui
      owner = Manualne_ovladanie;
      position = 297, 1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a0;
    true_icon = 'arrow_right.PNG';
    false_icon = 'arrow_right.PNG';
    transparent = true;
  end_indicator;

  indicator arrowEleft;
    gui
      owner = Manualne_ovladanie;
      position = 172, 1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = a0;
    true_icon = 'arrow_left.PNG';
    false_icon = 'arrow_left.PNG';
    transparent = true;
  end_indicator;

  panel ovladanie;
    gui
      owner = Manualne_ovladanie;
      position = -3, 306, 515, 135;
    end_gui;
  end_panel;

  switch switch_V;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 14;
    end_activity;
    gui
      owner = ovladanie;
      position = 370, 40, 56, 32;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = Vplus;
    true_icon = 'sw_on.png';
    false_icon = 'sw_off.png';
    auto_update = true;
    colors
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
      select = color_btnface;
    end_colors;
  end_switch;

  switch switch_K;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 13;
    end_activity;
    gui
      owner = ovladanie;
      position = 370, 10, 56, 32;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = Kplus;
    true_icon = 'sw_on.png';
    false_icon = 'sw_off.png';
    auto_update = true;
    colors
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
      select = color_btnface;
    end_colors;
  end_switch;

  switch switch_Jplus;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 12;
    end_activity;
    gui
      owner = ovladanie;
      position = 270, 99, 56, 32;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = Jplus;
    true_icon = 'sw_on.png';
    false_icon = 'sw_off.png';
    auto_update = true;
    colors
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
      select = color_btnface;
    end_colors;
  end_switch;

  switch switch_Jmin;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 11;
    end_activity;
    gui
      owner = ovladanie;
      position = 270, 70, 56, 32;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = Jmin;
    true_icon = 'sw_on.png';
    false_icon = 'sw_off.png';
    auto_update = true;
    colors
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
      select = color_btnface;
    end_colors;
  end_switch;

  switch switch_I;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 10;
    end_activity;
    gui
      owner = ovladanie;
      position = 270, 40, 56, 32;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = Iplus;
    true_icon = 'sw_on.png';
    false_icon = 'sw_off.png';
    auto_update = true;
    colors
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
      select = color_btnface;
    end_colors;
  end_switch;

  switch switch_H;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 9;
    end_activity;
    gui
      owner = ovladanie;
      position = 270, 10, 56, 32;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = Hplus;
    true_icon = 'sw_on.png';
    false_icon = 'sw_off.png';
    auto_update = true;
    colors
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
      select = color_btnface;
    end_colors;
  end_switch;

  switch switch_G;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 8;
    end_activity;
    gui
      owner = ovladanie;
      position = 155, 100, 56, 32;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = Gplus;
    true_icon = 'sw_on.png';
    false_icon = 'sw_off.png';
    auto_update = true;
    colors
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
      select = color_btnface;
    end_colors;
  end_switch;

  switch switch_F;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 7;
    end_activity;
    gui
      owner = ovladanie;
      position = 155, 70, 56, 32;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = Fplus;
    true_icon = 'sw_on.png';
    false_icon = 'sw_off.png';
    auto_update = true;
    colors
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
      select = color_btnface;
    end_colors;
  end_switch;

  switch switch_Emin;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 6;
    end_activity;
    gui
      owner = ovladanie;
      position = 155, 40, 56, 32;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = Emin;
    true_icon = 'sw_on.png';
    false_icon = 'sw_off.png';
    auto_update = true;
    colors
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
      select = color_btnface;
    end_colors;
  end_switch;

  switch switch_Eplus;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 5;
    end_activity;
    gui
      owner = ovladanie;
      position = 155, 10, 56, 32;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = Eplus;
    true_icon = 'sw_on.png';
    false_icon = 'sw_off.png';
    auto_update = true;
    colors
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
      select = color_btnface;
    end_colors;
  end_switch;

  switch switch_D;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 4;
    end_activity;
    gui
      owner = ovladanie;
      position = 40, 100, 56, 32;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = Dplus;
    true_icon = 'sw_on.png';
    false_icon = 'sw_off.png';
    auto_update = true;
    colors
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
      select = color_btnface;
    end_colors;
  end_switch;

  switch switch_C;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 3;
    end_activity;
    gui
      owner = ovladanie;
      position = 40, 70, 56, 32;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = Cplus;
    true_icon = 'sw_on.png';
    false_icon = 'sw_off.png';
    auto_update = true;
    colors
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
      select = color_btnface;
    end_colors;
  end_switch;

  switch switch_A;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 2;
    end_activity;
    gui
      owner = ovladanie;
      position = 40, 10, 56, 32;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = Aplus;
    true_icon = 'sw_on.png';
    false_icon = 'sw_off.png';
    auto_update = true;
    colors
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
      select = color_btnface;
    end_colors;
  end_switch;

  switch switch_B;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 1;
    end_activity;
    gui
      owner = ovladanie;
      position = 40, 40, 56, 32;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = Bplus;
    true_icon = 'sw_on.png';
    false_icon = 'sw_off.png';
    auto_update = true;
    colors
      true_tshadow = color_btnface;
      true_bshadow = color_btnface;
      false_tshadow = color_btnface;
      false_bshadow = color_btnface;
      select = color_btnface;
    end_colors;
  end_switch;

  label A;
    gui
      owner = ovladanie;
      position = 20, 20;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'A';
    end_text_list;
  end_label;

  label B;
    gui
      owner = ovladanie;
      position = 20, 50;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'B';
    end_text_list;
  end_label;

  label C;
    gui
      owner = ovladanie;
      position = 20, 80;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'C';
    end_text_list;
  end_label;

  label D;
    gui
      owner = ovladanie;
      position = 20, 110;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'D';
    end_text_list;
  end_label;

  label Eplus;
    gui
      owner = ovladanie;
      position = 130, 20;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'E+';
    end_text_list;
  end_label;

  label Eminus;
    gui
      owner = ovladanie;
      position = 130, 50;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'E-';
    end_text_list;
  end_label;

  label F;
    gui
      owner = ovladanie;
      position = 130, 80;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'F';
    end_text_list;
  end_label;

  label G;
    gui
      owner = ovladanie;
      position = 130, 110;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'G';
    end_text_list;
  end_label;

  label H;
    gui
      owner = ovladanie;
      position = 240, 20;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'H';
    end_text_list;
  end_label;

  label I;
    gui
      owner = ovladanie;
      position = 243, 50;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'I';
    end_text_list;
  end_label;

  label Jplus;
    gui
      owner = ovladanie;
      position = 240, 110;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'J+';
    end_text_list;
  end_label;

  label Jminus;
    gui
      owner = ovladanie;
      position = 240, 80;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'J-';
    end_text_list;
  end_label;

  label K;
    gui
      owner = ovladanie;
      position = 350, 20;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'K';
    end_text_list;
  end_label;

  label V;
    gui
      owner = ovladanie;
      position = 350, 50;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'V';
    end_text_list;
  end_label;

  label label_Hm;
    gui
      owner = Manualne_ovladanie;
      position = 182, 201;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'H';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_Im;
    gui
      owner = Manualne_ovladanie;
      position = 102, 191;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'I';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_Fm;
    gui
      owner = Manualne_ovladanie;
      position = 212, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'F';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_Gm;
    gui
      owner = Manualne_ovladanie;
      position = 167, 256;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'G';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_Em;
    gui
      owner = Manualne_ovladanie;
      position = 272, 106;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'E';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_Vm;
    gui
      owner = Manualne_ovladanie;
      position = 497, 111;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'V';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_Km;
    gui
      owner = Manualne_ovladanie;
      position = 422, 76;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'K';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_Jm;
    gui
      owner = Manualne_ovladanie;
      position = 512, 26;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'J';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_Am;
    gui
      owner = Manualne_ovladanie;
      position = 559, 391;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'A';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_Bm;
    gui
      owner = Manualne_ovladanie;
      position = 637, 222;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'B';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  label label_Cm;
    gui
      owner = Manualne_ovladanie;
      position = 557, 76;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      text = 'C';
    end_text_list;
    colors
      paper = lblue;
      ink = lyellow;
    end_colors;
  end_label;

  indicator shaft;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 32;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 47, 231;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = not dp3;
    true_icon = 'shaftT.PNG';
    false_icon = 'shaftF.PNG';
  end_indicator;

  indicator bearing;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 31;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 112, 81;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = not dp2;
    true_icon = 'bearingT.PNG';
    false_icon = 'bearingF.PNG';
  end_indicator;

  indicator base2;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 30;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 372, 196;
      visibility = b1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'baseT.PNG';
    false_icon = 'baseT.PNG';
  end_indicator;

  indicator base1;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 29;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 532, 196;
      visibility = a1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    true_icon = 'baseT.PNG';
    false_icon = 'baseT.PNG';
  end_indicator;

  indicator base0;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 28;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 532, 261;
      visibility = a0;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = dp1;
    true_icon = 'baseT.PNG';
    false_icon = 'baseF.PNG';
  end_indicator;

  indicator cylJ0Km;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 27;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 367, 11;
      visibility = not j1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k1;
    true_icon = 'cylinderJ_0K_1.PNG';
    false_icon = 'cylinderJ_0K_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylG1H0Im;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 26;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 97, 176;
      visibility = not g1 and not h1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_1H_0I_1.PNG';
    false_icon = 'cylinderG_1H_0I_0.PNG';
  end_indicator;

  indicator cylG1H1Im;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 25;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 97, 176;
      visibility = g0 and h1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_1H_1I_1.PNG';
    false_icon = 'cylinderG_1H_1I_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylG0H1Im;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 24;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 97, 176;
      visibility = g1 and h1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_0H_1I_1.PNG';
    false_icon = 'cylinderG_0H_1I_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylG0H0I;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 23;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 97, 176;
      visibility = g1 and h0;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = i1;
    true_icon = 'cylinderG_0H_0I_1.PNG';
    false_icon = 'cylinderG_0H_0I_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylCm;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 22;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 547, 66;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = c1;
    true_icon = 'cylinderC_1.PNG';
    false_icon = 'cylinderC_0.PNG';
  end_indicator;

  indicator cylBm;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 21;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 502, 196;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = b1;
    true_icon = 'cylinderB_1.PNG';
    false_icon = 'cylinderB_0.PNG';
  end_indicator;

  indicator cylAm;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 20;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 532, 261;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = not a0 and a1;
    true_icon = 'cylinderA_1.PNG';
    false_icon = 'cylinderA_0.PNG';
  end_indicator;

  indicator cylE1Fm;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 19;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 182, 16;
      visibility = not e0 and not e2;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Fplus;
    true_icon = 'cylinderE_1F_1.PNG';
    false_icon = 'cylinderE_1F_0.PNG';
  end_indicator;

  indicator cylE2Fm;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 18;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 182, 16;
      visibility = e2;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Fplus;
    true_icon = 'cylinderE_2F_1.PNG';
    false_icon = 'cylinderE_2F_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylE0Fm;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 17;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 182, 16;
      visibility = e0;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = Fplus;
    true_icon = 'cylinderE_0F_1.PNG';
    false_icon = 'cylinderE_0F_0.PNG';
    transparent = true;
  end_indicator;

  indicator cylJ1Km;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 16;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 367, 11;
      visibility = j1;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = k1;
    true_icon = 'cylinderJ_1K_1.PNG';
    false_icon = 'cylinderJ_1K_0.PNG';
  end_indicator;

  indicator cover;
    activity
      timer = timing_switch.Manualne_ovladanie_is_active, 15;
    end_activity;
    gui
      owner = Manualne_ovladanie;
      position = 447, 131;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    expression = dp4;
    true_icon = 'coverT.PNG';
    false_icon = 'coverF.PNG';
  end_indicator;

  panel About;
    gui
      owner = backpane;
      position = 0, 40, 680, 440;
    end_gui;
  end_panel;

  label panel_label;
    gui
      owner = About;
      position = 5, 5;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      text = 'Visualizan program k modelu linky SMC MAP-205';
    end_text_list;
  end_label;

  panel controls_panel;
    gui
      owner = backpane;
      position = 0, 0, 680, 40;
    end_gui;
  end_panel;

  tab_switch tswitch;
    gui
      owner = controls_panel;
      position = 0, 0, 681, 40;
    end_gui;
    mode = top_no_frame;
    item
      title = 'Visualizacia';
      panel = Visualizacia;
      selected;
    end_item;
    item
      title = 'Manualne ovladanie';
      panel = Manualne_ovladanie;
    end_item;
    item
      title = 'About';
      panel = panel_4;
    end_item;
    blink_colors
      border = color_btntext;
    end_blink_colors;

    procedure OnIndex( Index : real );
    begin
      ActivePanel = Index;
    end_procedure;

  end_tab_switch;

end_instrument;

